/** 
 * 
 * Copyright 2004 Protique Ltd
 * 
 * Licensed under the Apache License, Version 2.0 (the "License"); 
 * you may not use this file except in compliance with the License. 
 * You may obtain a copy of the License at 
 * 
 * http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, 
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. 
 * See the License for the specific language governing permissions and 
 * limitations under the License. 
 * 
 **/
package org.activemq.transport.activeio;

import junit.framework.Test;
import junit.framework.TestSuite;

import org.activemq.ActiveMQConnectionFactory;
import org.activemq.test.JmsTopicSendReceiveTest;

/**
 * @version $Revision: 1.1.1.1 $
 */
public class ActiveIOTopicSendReceiveTest extends JmsTopicSendReceiveTest {

    protected ActiveMQConnectionFactory createConnectionFactory() {
        ActiveMQConnectionFactory factory = new ActiveMQConnectionFactory();
        factory.setBrokerURL(getURL());
        factory.setUseEmbeddedBroker(true);
        return factory;

    }

	protected String getURL() {
		return "activeio:socket://localhost:61626";
	}
	
	public static class VMPipeActiveIOTopicSendReceiveTest extends ActiveIOTopicSendReceiveTest {
		protected String getURL() {
			return "activeio:vmpipe://localhost";
		}		
	}
    public static class NIOActiveIOTopicSendReceiveTest extends ActiveIOTopicSendReceiveTest {
        protected String getURL() {
            return "activeio:nio://localhost:61626";
        }       
    }
	
    public static Test suite() { 
        TestSuite suite= new TestSuite(); 
        suite.addTestSuite(ActiveIOTopicSendReceiveTest.class); 
        suite.addTestSuite(NIOActiveIOTopicSendReceiveTest.class); 
        return suite;
    }
}